gi-gtk3-3.0.44: Gtk 3.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.StackAccessible

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype StackAccessible = StackAccessible (ManagedPtr StackAccessible)
- class (GObject o, IsDescendantOf StackAccessible o) => IsStackAccessible o
- toStackAccessible :: (MonadIO m, IsStackAccessible o) => o -> m StackAccessible

# Exported types

newtype StackAccessible Source #

Memory-managed wrapper type.

Constructors

StackAccessible (ManagedPtr StackAccessible) |

#### Instances

Instances details

Eq StackAccessible Source # |
Instance details Defined in GI.Gtk.Objects.StackAccessible Methods (==) :: StackAccessible -> StackAccessible -> Bool Source # (/=) :: StackAccessible -> StackAccessible -> Bool Source #
GObject StackAccessible Source # |
Instance details Defined in GI.Gtk.Objects.StackAccessible
ManagedPtrNewtype StackAccessible Source # |
Instance details Defined in GI.Gtk.Objects.StackAccessible Methods toManagedPtr :: StackAccessible -> ManagedPtr StackAccessible Source #
TypedObject StackAccessible Source # |
Instance details Defined in GI.Gtk.Objects.StackAccessible Methods glibType :: IO GType Source #
HasParentTypes StackAccessible Source # |
Instance details Defined in GI.Gtk.Objects.StackAccessible
IsGValue (Maybe StackAccessible) Source # | Convert `StackAccessible` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.StackAccessible Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe StackAccessible -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe StackAccessible) Source #
type ParentTypes StackAccessible Source # |
Instance details Defined in GI.Gtk.Objects.StackAccessible type ParentTypes StackAccessible = '[ContainerAccessible, WidgetAccessible, Accessible, Object, Object, Component]

class (GObject o, IsDescendantOf StackAccessible o) => IsStackAccessible o Source #

Type class for types which can be safely cast to `StackAccessible`, for instance with `toStackAccessible`.

#### Instances

Instances details

(GObject o, IsDescendantOf StackAccessible o) => IsStackAccessible o Source # |
Instance details Defined in GI.Gtk.Objects.StackAccessible

toStackAccessible :: (MonadIO m, IsStackAccessible o) => o -> m StackAccessible Source #

Cast to `StackAccessible`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

addRelationship, bindProperty, bindPropertyFull, connectWidgetDestroyed, contains, forceFloating, freezeNotify, getv, grabFocus, initialize, isFloating, notify, notifyByPspec, notifyStateChange, peekParent, ref, refAccessibleAtPoint, refAccessibleChild, refRelationSet, refSink, refStateSet, removeFocusHandler, removePropertyChangeHandler, removeRelationship, runDispose, scrollTo, scrollToPoint, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getAccessibleId, getAlpha, getAttributes, getData, getDescription, getExtents, getHelpText, getIndexInParent, getLayer, getMdiZorder, getNAccessibleChildren, getName, getObjectLocale, getParent, getPosition, getProperty, getQdata, getRole, getSize, getWidget.

#### Setters

setAccessibleId, setData, setDataFull, setDescription, setExtents, setHelpText, setName, setParent, setPosition, setProperty, setRole, setSize, setWidget.